Name:       ibus-table-yong
Version:    1.1.0.20090422
Release:    2%{?dist}
Summary:    Yong input methods for ibus-table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires: ibus-table >= 1.1.0.20090220-5 
BuildRequires:  gettext-devel >= 0.17, automake >= 1.10.1
# uncomment if build with extra phrases.
# BuildRequires: ibus-table-extraphrase >= 1.1.0
Requires(post):   ibus-table > 1.1.0

%description
The package contains Yong input methods for Table engine of IBus platform. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
./autogen.sh --prefix=%{_prefix} \

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install
%__mv %{buildroot}/%{_datadir}/ibus-table/tables/yong-ibus.db \
      %{buildroot}/%{_datadir}/ibus-table/tables/yong_ibus.db

%clean
rm -rf %{buildroot}

%post
%{_bindir}/ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/yong_ibus.db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/ibus-table/tables/yong_ibus.db
%{_datadir}/ibus-table/icons/yong.png

%changelog
* Wed Jun 03 2009 Caius 'kaio' Chance <cchance AT redhat DOT com> - 1.1.0.20090422-2.fc10
- Fixed index creation errors at post-install by removals of bootstrap check.

* Thu May 28 2009 Caius 'kaio' Chance <cchance AT redhat DOT com> - 1.1.0.20090422-1.fc10
- Backported from F-11.
